#
# spec file for package DynaDungeons
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           DynaDungeons
Version:        0.0+git.1454533082.d4e9290
Release:        2.1
Summary:        Bomberman clone
# Code is GPL-v3, Fonts OFL, Music CC-BY-SA 4.0 and Sprites CC-BY-3.0
%if 0%{?suse_version} != 1310
License:        GPL-3.0+ and OFL-1.1 and CC-BY-SA-4.0 and CC-BY-SA-3.0
%else
License:        GPL-3.0+ and OFL-1.1 and SUSE-Freeware and CC-BY-SA-3.0
%endif
Group:          Amusements/Games/Action/Arcade
Url:            https://github.com/akien-mga/dynadungeons
# From git repository on github
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
Requires:       godot >= 2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Bomberman clone using the open source Godot game engine (MIT-licensed),
and using the nice Bomb Party tileset from OpenGameArt (CC BY 3.0).
The first objective is to reimplement the well-known gameplay
of games of the Bomberman series.
A further objective might be to extend the gameplay by adding RPG elements
and maybe different multiplayer modes such as Capture the Flag.

%prep
%setup -q

%build

%install
# Install game files
install -dm755 %{buildroot}%{_datadir}/%{name}
cp -R -t %{buildroot}%{_datadir}/%{name} *

# Install License and Readme (for legal reasons is the very important)
install -d -m755 %{buildroot}%{_docdir}/%{name}
install -m644 -t %{buildroot}%{_docdir}/%{name} README.md LICENSE.txt CREDITS.txt

# Install Gamewrapper
install -dm755 %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
godot -path "%{_datadir}/%{name}" $@
EOF
chmod 755 %{buildroot}%{_bindir}/%{name}

# Install Icon and Desktop files
install -Dm644 icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -dm755 %{buildroot}%{_datadir}/applications
%suse_update_desktop_file -c %{name} %{name} "Bomberman clone" %{name} %{name} Game ArcadeGame

# Remove duplicates
%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Jun 28 2016 rpm@fthiessen.de
- First package
